{$IFDEF FPC}
{$MODE DELPHI}
{$ALIGN 4}
{$ENDIF}
{$IFDEF WIN64}
{$ALIGN 4}
{$ENDIF}
unit rasapi;

interface

uses windows;

const
RAS_MaxEntryName    = 256;
RAS_MaxDeviceName   = 128;
RAS_MaxDeviceType   = 16;
RASBASE = 600;
ERROR_BUFFER_TOO_SMALL  = (RASBASE+3);

type
 THRasConn  = THANDLE;


 TRasConnA  =  record
    dwSize       : DWORD;
    hrasconn     : THRasConn;
    szEntryName  : Array[0..RAS_MaxEntryName] of AnsiChar;
    szDeviceType : Array[0..RAS_MaxDeviceType] of AnsiChar;
    szDeviceName : Array[0..RAS_MaxDeviceName] of AnsiChar;
 end;
 LpRasConnA  = array of TRasConnA;

  TRasEntryNameA  = record
    dwSize        : Longint;
    szEntryName   : Array[0..RAS_MaxEntryName] of AnsiChar;
  end;
 LpRasEntryNameA  =array of TRasEntryNameA;


function RasEnumEntriesA(Reserved: PAnsiChar; lpszPhoneBook: PAnsiChar;
entrynamesArray: LpRasEntryNameA; var lpcb: Longint;
var lpcEntries: Longint): Longint; stdcall;

function RasEnumConnectionsA(RasConnArray: LpRasConnA; var lpcb: Longint;
var lpcConnections: Longint): Longint; stdcall;

function RasHangUpA(hConn: THRasConn): Longint; stdcall;

implementation
function RasEnumConnectionsA; external 'rasapi32.dll' name 'RasEnumConnectionsA';
function RasHangUpA; external 'rasapi32.dll' name 'RasHangUpA';
function RasEnumEntriesA; external 'rasapi32.dll' name 'RasEnumEntriesA';
end.
